projectDir=$workDir/mfx

# git clone https://github.com/lu-zero/mfx_dispatch $projectDir --depth 1

rm -rf $projectDir

mkdir $projectDir
cd $projectDir

git init
git remote add origin https://github.com/lu-zero/mfx_dispatch
git fetch --depth 1 origin 5a3f178be7f406cec920b9f52f46c1ae29f29bb2
git checkout FETCH_HEAD

git apply ../../patches/mfx.patch

rm -rf build
mkdir build

cd build

cmake -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=Release -DCMAKE_CXX_FLAGS=-m32 -DCMAKE_C_FLAGS=-m32 -DCMAKE_GENERATOR_PLATFORM=x86 ..

cmake --build . --config Release

cmake --install .
